## guitarix 0.47.0+dfsg

=== documentation/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
    if not bld.env.STANDALONE:
        return
    import os
    doxy_opt = os.environ.get("RUN_DOXYGEN")
    if doxy_opt is None:
        return
    doxy_opt = doxy_opt.lower()
    def make_doxyfile(task):
        import re
        d = {}
        for inp in task.inputs[1:]:
            with open(inp.abspath()) as fd:
                d[inp.name] = fd.read().strip()
        d['CLANG'] = 'YES' if 'clang' in doxy_opt else 'NO'
        def sub(m):
            return d[m.group(1)]
        with open(task.inputs[0].abspath()) as ifd, \
          open(task.outputs[0].abspath(), "w") as ofd:
            ofd.write(re.sub('@{([^}]+)}', sub, ifd.read()))
    bld.env.DOXY_OPT = doxy_opt
    bld(rule = make_doxyfile,
        vars = ['DOXY_OPT'],
        source = ['Doxyfile.in','../src/gx_head/clang_options.txt',
                  '../src/gx_head/input_gx_head.txt',
                  '../libgxw/gxw/input_libgxw.txt',
                  '../libgxwmm/gxwmm/input_libgxwmm.txt',
                ],
        target = 'Doxyfile',
        )
    if "run" in doxy_opt:
        bld(rule = "doxygen ${SRC}",
            source = 'Doxyfile',
            target = '../../html/index.html',
            always = True,
        )

=== ladspa/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import os

def configure(conf):
    pass

def create_ladspa_plugin(bld, source, target, defstr, uselib = None):
    ladspa_define = target + "=" + defstr

    ladspa_plugin = bld.shlib(
        defines  = ladspa_define,
        name     = target,
        target   = defstr,
        source   = source,
        install_path = '${LADSPADIR}',
        chmod    = 0o755,
        )
    ladspa_plugin.env.append_value("CXXFLAGS", ['-fPIC', '-shared'])
    ladspa_plugin.env.cxxshlib_PATTERN = '%s.so'
    return ladspa_plugin


def build(bld):
    if not bld.env.LADSPA:
        return

    sources = [
        'crybaby.cpp',       
        'distortion.cpp',
        'echo.cpp',      
        'freeverb.cpp',  
        'impulseresponse.cpp',        
        'monoamp.cpp',       
        'monocompressor.cpp',
        'guitarix-ladspa.cpp'           
        ] 

    targets = [
        'crydsp',       
        'distdsp',
        'echodsp',      
        'frdsp',  
        'irdsp',        
        'ampdsp',       
        'comprdsp',
        'mydsp'            
        ] 

    defines = [
        'guitarix_crybaby',       
        'guitarix_distortion',
        'guitarix_echo',      
        'guitarix_freeverb',  
        'guitarix_IR',        
        'guitarix_amp',       
        'guitarix_compressor',
        'guitarix'            
        ] 

    for i in range(0, len(sources)):
        create_ladspa_plugin(bld, sources[i], targets[i], defines[i]) 

    bld.install_files('${SHAREDIR}/ladspa/rdf', 'guitarix.rdf')

=== libgxwmm/gxwmm/wscript ===
#! /usr/bin/env python
# encoding: utf-8

from waflib import Task, Options, Logs
from waflib.TaskGen import extension
import shutil, os

def options(opt):
    grp = opt.add_option_group("Guitarix Widget Library")
    grp.add_option('--shared-lib',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('build shared library'),
                   )
    grp.add_option('--static-lib',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('build static library'),
                   )
    grp.add_option('--lib-dev',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('install shared library headers'),
                   )
    grp.add_option('--no-ldconfig',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('dont run ldconfig'),
                   )
    grp.add_option('--generate-cpp-wrapper',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('re-generate the pre-built c++ library wrapper files (Developers only!!)'),
                   )
    grp.add_option('--generate-resources',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('re-generate the pre-built gresources file (Developers only!!)'),
                   )

def configure(conf):
    opt = conf.options
    env = conf.env
    if opt.generate_cpp_wrapper:
        conf.check_cfg(package='glibmm-2.4', variables='gmmprocdir', uselib_store='GLIBMM', mandatory=True)
        conf.check_cfg(package='gtkmm-3.0', variables='gmmprocm4dir', uselib_store='GTK', mandatory=True)
        conf.check_cfg(package='atkmm-1.6', variables='gmmprocm4dir', uselib_store='ATK', mandatory=True)
        conf.check_cfg(package='pangomm-1.4', variables='gmmprocm4dir', uselib_store='PANGO', mandatory=True)
        env.USE_GENERATED_CPP = False
    else:
        env.USE_GENERATED_CPP = True
    if opt.shared_lib or opt.standalone:
        env.GX_LIB_SHARED = True
    if opt.static_lib :
        env.GX_LIB_SHARED = False
        env.GX_LIB_DEV = False
        env.GX_LIB_STATIC = True
    if opt.lib_dev:
        env.GX_LIB_SHARED = True
        env.GX_LIB_DEV = True
        env.GX_LIB_STATIC = False
    if opt.no_ldconfig or opt.destdir:
        env.NO_LDCONFIG = True


def template2cc(task):
    src = task.inputs[0]
    dst = task.outputs[0]
    env = task.env
    basename = os.path.splitext(src.name)[0]
    dst.delete(evict=False)
    private = dst.parent.make_node('private')
    private.mkdir()
    spath = src.parent.bldpath()
    dpath = dst.parent.bldpath()
    cmd = ["%s/gmmproc" % env.GLIBMM_gmmprocdir,
           "--defs", dpath,
           "-I", spath,
           "-I", "%s" % env.GTK_gmmprocm4dir,
           "-I", "%s" % env.ATK_gmmprocm4dir,
           "-I", "%s" % env.PANGO_gmmprocm4dir,
           basename,
           spath,
           dpath,
           ]
    ret = task.exec_command(cmd, shell=False)
    if ret != 0:
        return ret
    generated_dir = src.parent.parent.make_node('gxwmm-generated')
    generated = generated_dir.make_node(basename).abspath()
    try:
        shutil.copy2(dst.abspath(), generated+".cc")
        shutil.copy2(dst.change_ext('.h').abspath(), generated+".h")
        shutil.copy2(private.find_node(basename+"_p.h").abspath(),
                     generated_dir.make_node(['private',basename+'_p.h']).abspath())
    except (OSError, IOError) as e:
        Logs.error("runner: cannot copy file -> %s" % e)
        return e.errno
    return 0

Task.task_factory(
    'gmmproc',
    template2cc,
    color='BLUE',
    )

@extension('.hg')
def process_hg(self, node):
        cc_node = node.change_ext('.cc')
        h_node = node.change_ext('.h')
        task = self.create_task('gmmproc', [node], [cc_node, h_node])
        task.after = ["gxwdefs"]
        task.dep_nodes.append(
            node.parent.find_resource(node.name.replace('.hg','.ccg')))
        task.dep_nodes.append(
            node.parent.find_or_declare('gxw.defs'))
        self.source.append(cc_node)

def header2defs(task):
    sources = " ".join(["'%s'" % v.bldpath() for v in task.inputs[1:]])
    path = task.generator.path
    dst = task.outputs[0].bldpath()
    flt = task.inputs[0].bldpath()
    cmd = ("python3 ../libgxwmm/gxwmm/tools/h2def.py -f '%s' -m gxw %s > '%s'"
           % (flt, sources, dst))
    return task.exec_command(cmd, shell=True)

def build_generate_wrapper(bld):
    header = ["GxTuner.h",
              "GxRackTuner.h",
              "GxFastMeter.h",
              "GxWaveView.h",
              "GxRegler.h",
              "GxSelector.h",
              "GxSwitch.h",
              "GxToggleImage.h",
              "GxControlParameter.h",
              "GxIREdit.h",
              "GxRadioButton.h",
              "GxWheel.h",
              "GxWheelVertical.h",
              "GxKnob.h",
              "GxBigKnob.h",
              "GxMidKnob.h",
              "GxSmallKnob.h",
              "GxSmallKnobR.h",
              "GxHSlider.h",
              "GxMiniSlider.h",
              "GxVSlider.h",
              "GxEQSlider.h",
              "GxLevelSlider.h",
              "GxPaintBox.h",
              "GxMeterScale.h",
              "GxValueDisplay.h",
              "GxSimpleValueDisplay.h",
              "GxPortDisplay.h",
              "GxPlayHead.h",
              ]
    header = ["../../libgxw/gxw/"+v for v in header]
    bld.program(
        source = "generate_defs_gxw.cc",
        use = ['GTKMM','gxw'],
        lib    = 'glibmm_generate_extra_defs-2.4',
        target = 'generate_defs_gxw',
        install_path = None,
        )
    bld.add_group()
    libdir = bld.bldnode.find_or_declare("libgxw/gxw").bldpath()
    e1 = 's/GdkEvent\\*/GdkEventButton*/'
    e2 = 's/return-type "const-gchar\\*"/return-type "gchar*"/'
    bld(name = "sigdefs",
        rule = ("LD_LIBRARY_PATH=\"%s\" ${SRC} | sed -e '"+e1+"' -e '"+e2+"'> ${TGT}") % libdir,
        source = 'generate_defs_gxw',
        target = 'signals.defs',
        )
    bld(name = "mthdefs",
        rule = header2defs,
        source = ['filter.defs']+header,
        target = "methods.defs",
        )
    bld(name = "enumdefs",
        rule = bld.path.find_node('enum.pl').abspath()+" ${SRC} > ${TGT}",
        source = header,
        target = "enum.defs",
        )
    bld(name = "gxwdefs",
        rule = 'for f in ${SRC}; do echo "(include $(basename $f))"; done > ${TGT}',
        source = ["methods.defs","signals.defs","enum.defs"],
        target = "gxw.defs",
        after = ["sigdefs","mthdefs","enumdefs"],
        )
    bld(rule = "cp ${SRC} ${TGT}",
        source = "docs.xml",
        target = "gxw_docs.xml",
        )

def build(bld):
    sources = [
        "controlparameter.hg",
        "switch.hg",
        "regler.hg",
        "knob.hg",
        "bigknob.hg",
        "midknob.hg",
        "smallknob.hg",
        "smallknobr.hg",
        "tuner.hg",
        "racktuner.hg",
        "fastmeter.hg",
        "waveview.hg",
        "selector.hg",
        "toggleimage.hg",
        "iredit.hg",
        "radiobutton.hg",
        "wheel.hg",
        "wheelvertical.hg",
        "hslider.hg",
        "minislider.hg",
        "vslider.hg",
        "eqslider.hg",
        "levelslider.hg",
        "paintbox.hg",
        "meterscale.hg",
        #"gradient.hg",
        "valuedisplay.hg",
        "simplevaluedisplay.hg",
        "portdisplay.hg",
        "playhead.hg",
        ]
    env = bld.env
    bld(name='gxwmm_inc', export_includes=['..'], use='gxw_inc')
    if not env.GX_LIB_SHARED and not env.GX_LIB_STATIC:
        return
    bld.add_group()
    if env.USE_GENERATED_CPP:
        gdir = "../gxwmm-generated/"
        for v in sources:
            v = os.path.splitext(v)[0]
            for s in v+".cc", v+".h", "private/"+v+"_p.h":
                bld(name = "copy-generated-cc",
                    rule = "cp ${SRC} ${TGT}",
                    source = gdir + s,
                    target = s,
                )
        bld(name = "copy-wrap_init",
            rule = "cp ${SRC} ${TGT}",
            source = gdir + "wrap_init.cc",
            target = 'wrap_init.cc',
            )
        sources = [v.replace(".hg",".cc") for v in sources]
    else:
        bld(name = "wrap_init",
            rule = "${GLIBMM_gmmprocdir}/generate_wrap_init.pl --namespace=Gxw ${SRC} >${TGT}; cp ${TGT} ../libgxwmm/gxwmm-generated",
            source = sources,
            target = "wrap_init.cc",
            )
        build_generate_wrapper(bld)
    if env.GX_LIB_SHARED:
        bld.shlib(
            name = 'gxwmm',
            vnum = "0.1",
            includes = ['..'],
            export_includes = ['..'],
            source = sources+["init.cc","wrap_init.cc"],
            use = ['GTKMM','gxw'],
            target = 'gxwmm',
            )
        if not env.NO_LDCONFIG:
            if bld.is_install and not Options.options.destdir \
               and not Options.options.no_ldconfig and os.geteuid() == 0:
                bld.add_post_fun_ignore_errors(
                    lambda ctx: ctx.exec_command('/sbin/ldconfig'))
    else:
        bld.stlib(
            name = 'gxwmm',
            includes = ['..'],
            export_includes = ['..'],
            source = sources+["init.cc","wrap_init.cc"],
            use = ['GTKMM','gxw'],
            target = 'gxwmm',
            )
    if "RUN_DOXYGEN" in os.environ:
        # save source file list and include paths for use by doxygen
        bld(rule="echo ${SRC} > ${TGT}",
            source = (["init.cc","wrap_init.cc"] +
                      [v.replace('.hg','.h') for v in sources] +
                      [v.replace('.hg','.cc') for v in sources]),
                      #['private/'+v.replace('.hg','_p.h') for v in sources]),
            target = 'input_libgxwmm.txt',
            )

=== src/LV2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

from waflib.Context import g_module

def append_sse_flags():
    cpu_model = None
    x86_flags = None
    try:
        for line in open("/proc/cpuinfo"):
            if cpu_model is None:
                if line.startswith("model name"):
                    cpu_model = line.split(":",1)[1].strip()
            elif x86_flags is None:
                if line.startswith("flags"):
                    x86_flags = line.split(":",1)[1].strip()
            else:
                break
    except IOError:
        pass
    if cpu_model is None or x86_flags is None:
        return False
    if "sse2" in x86_flags:
        return True
    else:
        return False

subdirs = [
    'gx_amp.lv2',
    'gx_amp_stereo.lv2',
    'gxautowah.lv2',
    'gxbooster.lv2',
    'gx_chorus.lv2',
    'gx_compressor.lv2',
    'gx_delay.lv2',
    'gxechocat.lv2',
    'gx_echo.lv2',
    'gx_expander.lv2',
    'gx_flanger.lv2',
    'gxmetal_amp.lv2',
    'gxmetal_head.lv2',
    'gx_phaser.lv2',
    #'gxpreamp.lv2',
    #'gxpreamp.lv2/StereoAmp',
    'gx_redeye.lv2',
    'gx_reverb.lv2',
    'gx_studiopre.lv2',
    'gx_studiopre_st.lv2',
    'gxtilttone.lv2',
    'gx_tremolo.lv2',
    'gxts9.lv2',
    'gxtubedelay.lv2',
    'gxtubetremelo.lv2',
    'gxtubevibrato.lv2',
    'gxtuner.lv2',
    'gx_zita_rev1.lv2',
    'gx_mbdistortion.lv2',
    'gx_mbdelay.lv2',
    'gx_mbecho.lv2',
    'gx_mbcompressor.lv2',
    'gx_fuzz.lv2',
    'gx_graphiceq.lv2',
    'gx_duck_delay.lv2',
    'gx_duck_delay_st.lv2',
    'gx_barkgraphiceq.lv2',
    'gx_detune.lv2',
    'gx_shimmizita.lv2',
    'gx_switched_tremolo.lv2',
    'gx_room_simulator.lv2',
    'gx_digital_delay.lv2',
    'gx_digital_delay_st.lv2',
    'gx_livelooper.lv2',
    'gx_mbreverb.lv2',
    'gx_jcm800pre.lv2',
    'gx_jcm800pre_st.lv2',
    'gx_cabinet.lv2',
    #'gx_vibe.lv2',
    'gx_fuzzface.lv2',
    'gx_fuzzfacefm.lv2',
    'gx_hfb.lv2',
    'gx_hornet.lv2',
    'gx_muff.lv2',
    'gx_scream.lv2',
    'gx_susta.lv2',
    'gx_cstb.lv2',
    'gx_fumaster.lv2',
    'gx_oc_2.lv2',
    'gx_mole.lv2',
    'gx_rangem.lv2',
    'gx_hogsfoot.lv2',
    'gx_colwah.lv2',
    'gx_gcb_95.lv2',
    'gx_aclipper.lv2',
    'gx_bmp.lv2',
    'gx_bossds1.lv2',
    'gx_mxrdist.lv2',
    'gxtape.lv2',
    'gxtape_st.lv2',
    'gx_alembic.lv2',
    'gx_w20.lv2',
]

def configure(conf):
    if not conf.env.NOSSE:
        conf.env.SSE2 = append_sse_flags()

    for x in subdirs:
        conf.recurse(x);
    conf.recurse('xputty/resources')
    conf.recurse('xputty');

def build(bld):
    if not bld.env.LV2:
        return

    if any('clang' not in s for s in bld.env["CXX"]):
        gccflags = ['-Wl,--exclude-libs,ALL']
    else:
        gccflags = []

    bld.recurse('faust')
    bld.recurse('xputty/resources')
    bld.add_group()
    bld.recurse('xputty')
    bld.add_group()
    bld.objects(name='GX_CONVOLVER',
                source='DSP/gx_convolver.cc',
                includes='DSP',
                cxxflags=['-fvisibility=hidden','-fPIC'] + gccflags,
                use=['ZITA_CONVOLVER','GX_RESAMPLER'],
    )
    bld.objects(name='GX_RESAMPLER',
                source='DSP/gx_resampler.cc',
                cxxflags=['-fvisibility=hidden','-fPIC'] + gccflags,
                use=['ZITA_RESAMPLER'],
    )

    lib_ext = '.so'
    if bld.env.MODGUI:
        sub_list = [('@LIB_EXT@', lib_ext)]
    else:
        sub_list = [('@LIB_EXT@', lib_ext),
                    (',\n        <modgui.ttl> ', ' '),
                    (', <modgui.ttl>', ' '),
                    (', <modguis.ttl>', ' '),
                    ]
    for x in subdirs:
        bld(rule     = g_module.sub_file,
            source   = '%s/manifest.ttl.in' % x,
            target   = '%s/manifest.ttl' % x,
            sub_list = sub_list,
            install_path = '${LV2DIR}/%s' % x,
        )
    bld.recurse(subdirs)

   # if bld.env['LV2GUI']:
   #     gx_ampstyledir = bld.path.find_dir( 'GUI' )
   #     bld.install_files(bld.env.GX_LV2_STYLE_DIR, gx_ampstyledir.ant_glob('**/*.png'),cwd=gx_ampstyledir, chmod=0o644, relative_trick=True)
   #     bld.install_files(bld.env.GX_LV2_STYLE_DIR, gx_ampstyledir.ant_glob('**/*.rc'),cwd=gx_ampstyledir, chmod=0o644, relative_trick=True)

=== src/NAM/wscript ===
#!/usr/bin/env python
# encoding: utf-8

from waflib import Task, Options, Logs
from waflib.TaskGen import extension
import shutil, os

#import sys, ctypes
#from waflib import TaskGen

def options(opt):
    pass

def build(bld):

    src = [
        './NeuralAmpModelerCore/NAM/activations.cpp',
        './NeuralAmpModelerCore/NAM/convnet.cpp',
        './NeuralAmpModelerCore/NAM/dsp.cpp',
        './NeuralAmpModelerCore/NAM/get_dsp.cpp',
        './NeuralAmpModelerCore/NAM/lstm.cpp',
        './NeuralAmpModelerCore/NAM/util.cpp',
        './NeuralAmpModelerCore/NAM/wavenet.cpp',
        ]

    incl = ['../headers', '..',
        './NeuralAmpModelerCore/NAM/',
        './NeuralAmpModelerCore/Dependencies/eigen/',
        './NeuralAmpModelerCore/Dependencies/nlohmann/',
        ]

    cxx_flags = ["-std=c++17", "-Wno-sign-compare", "-Ofast"]

    if not bld.env['LTO']:
        if any('clang' not in s for s in bld.env["CXX"]):
            cxx_flags.append ("-fno-fat-lto-objects")

    bld.stlib(
        name = 'libnam',
        includes = incl,
        export_includes=['..'],
        source = src,
        use = [],
        cxxflags = cxx_flags,
        target = 'nam',
        )

=== src/RTNeural/wscript ===
#!/usr/bin/env python
# encoding: utf-8

from waflib import Task, Options, Logs
from waflib.TaskGen import extension
import shutil, os

#import sys, ctypes
#from waflib import TaskGen

def options(opt):
    pass

def build(bld):

    src = [
        './RTNeural/RTNeural/RTNeural.cpp',
        ]

    incl = ['../headers', '..',
        './RTNeural/RTNeural/',
        './RTNeural/modules/Eigen/',
        './RTNeural/modules/json/',
        ]

    cxx_flags = ["-std=c++17",
                 "-Wno-sign-compare",
                 "-Wno-reorder",
                 "-Wno-infinite-recursion",
                 "-Ofast",
                 "-DRTNEURAL_DEFAULT_ALIGNMENT=32",
                 "-DRTNEURAL_USE_EIGEN=1",
                 "-DRTNEURAL_NAMESPACE=RTNeural"
                 ]

    if not bld.env['LTO']:
        if any('clang' not in s for s in bld.env["CXX"]):
            cxx_flags.append ("-fno-fat-lto-objects")

    bld.stlib(
        name = 'librtneural',
        includes = incl,
        export_includes=['..'],
        source = src,
        use = [],
        cxxflags = cxx_flags,
        target = 'rtneural',
        )

=== src/gx_head/wscript ===
#! /usr/bin/env python
# encoding: utf-8

import sys
from waflib import Task, Options, Logs
from waflib.TaskGen import extension
import os, shutil

def options(opt):
    guitarix_prog = opt.add_option_group("Guitarix Program Options")
    guitarix_prog.add_option(
        '--no-avahi', action='store_const', default=False, const=True,
        help=('Do not build with avahi support for automatic discovery of'
              ' / connection to Guitarix server instances  [Default: no]'))
    guitarix_prog.add_option(
        '--no-bluez', action='store_const', default=False, const=True,
        help=('Do not build with bluez support for remote'
              ' / connection to Guitarix server instances  [Default: no]'))
    guitarix_prog.add_option(
        '--no-nsm', action='store_const', default=False, const=True,
        help=('Do not build with nsm support for remote'
              ' / connection to NSM server instances  [Default: no]'))
    guitarix_prog.add_option(
        '--jack-session', action='store_const', default=False, const=True,
        help=('Try to build with jack session support  [Default: no]'))

def configure(conf):
    if not Options.options.no_avahi:
        conf.check_cfg(package='avahi-gobject', args='--cflags --libs', uselib_store='AVAHI_GOBJECT', mandatory=1)
        conf.check_cfg(package='avahi-glib', args='--cflags --libs', uselib_store='AVAHI_GLIB', mandatory=1)
        conf.check_cfg(package='avahi-client', args='--cflags --libs', uselib_store='AVAHI_CLIENT', mandatory=1)
        conf.env.HAVE_AVAHI = 1
        conf.define("HAVE_AVAHI", 1)
    if not Options.options.no_bluez:
        conf.check_cfg(package='bluez', args='--cflags --libs', uselib_store='BLUEZ', mandatory=0)
    if not Options.options.no_nsm:
        conf.check_cfg(package='liblo', args='--cflags --libs', uselib_store='LIBLO', mandatory=0)

def gperf2cc(task):
    def generated(node):
        name = node.name.replace('.','-generated.')
        return node.parent.find_or_declare([name]).get_src().abspath()
    if task.env.HAVE_GPERF:
        # task.proc.bldpath() triggers bug in Waf 2.0.19 when logging is active
        cmd = [task.proc.abspath()] + [n.bldpath() for n in task.inputs + task.outputs]
        Logs.debug("runner: system command -> %s" % cmd)
        ret = task.exec_command(cmd, shell=False)
        for out in task.outputs:
            shutil.copy2(out.abspath(), generated(out))
        return ret
    else:
        for out in task.outputs:
            shutil.copy2(generated(out), out.abspath())
        return 0

Task.task_factory(
    'gperf',
    gperf2cc,
    color='BLUE',
    before='cxx',
    )

@extension('.gperf_tmpl')
def process_gperf_tmpl(self, node):
    cc_node = node.change_ext('.cc')
    h_node = node.change_ext('.h')
    task = self.create_task('gperf', [node], [cc_node, h_node])
    p = "tools/make_jsonrpc_methods"
    task.proc = self.bld.srcnode.find_resource(p)
    self.bld.add_manual_dependency(node, task.proc)

def build(bld):
    if not (bld.env.STANDALONE or bld.env.NEW_LADSPA):
        return

    sources_engine_shared = [
        'engine/gx_json.cpp',
        'engine/gx_faust_plugins.cpp',
        'engine/gx_internal_plugins.cpp',
        'engine/gx_neural_plugins.cpp',
        'engine/gx_engine_audio.cpp',
        'engine/gx_paramtable.cpp',
        'engine/gx_convolver.cpp',
        'engine/gx_resampler.cpp',
        'engine/gx_system.cpp',
        'engine/gx_logging.cpp',
        'engine/gx_pluginloader.cpp',
        ]
    sources_engine = [
        './engine/ladspaplugin.cpp',
        './engine/ladspaback.cpp',
        './engine/tunerswitcher.cpp',
        './engine/jsonrpc.cpp',
        './engine/gx_jack.cpp',
        './engine/gx_preset.cpp',
        './engine/gx_internal_ui_plugins.cpp',
        './engine/gx_pitch_tracker.cpp',
        './engine/gx_engine.cpp',
        './engine/jsonrpc_methods.gperf_tmpl',
        ]

    sources_gui = [
        './gui/machine.cpp',
        './gui/ladspalist.cpp',
        './gui/gx_stackbox_builder.cpp',
        './gui/gx_main_window.cpp',
        './gui/liveplay.cpp',
        './gui/rack.cpp',
        './gui/gx_preset_window.cpp',
        './gui/gx_jack_options.cpp',
        './gui/gx_ui_builder.cpp',
        './gui/gx_gui_helpers.cpp',
        './gui/gx_child_process.cpp',
        './gui/gx_main_midi.cpp',
        './gui/gx_jconv_settings.cpp',
        './gui/gx_sequencer_settings.cpp',
        './gui/gxw_mm_controllers.cpp',
        './gui/gx_main_boxes.cpp',
        './gui/gx_portmap.cpp',
        './gui/gx_main.cpp',
        ]

    builder_files = [
        './builder/midi.glade',
        './builder/midi_channel.glade',
        './builder/ports.glade',
        './builder/iredit.glade',
        './builder/iredit_mono.glade',
        './builder/jackstarter.glade',
        './builder/mainpanel.glade',
        './builder/ampbox.glade',
        './builder/liveplay.glade',
        './builder/ladspaliste.glade',
        './builder/crybaby_ui.glade',
        './builder/wah_ui.glade',
        './builder/vibe_ui.glade',
        './builder/vibe_stereo_ui.glade',
        './builder/reversedelay_ui.glade',
        './builder/gx_distortion_ui.glade',
        './builder/gx_record_ui.glade',
        './builder/gx_st_record_ui.glade',
        './builder/gx_detune_ui.glade',
        './builder/abgate_ui.glade',
        './builder/amp.tonestack_ui.glade',
        './builder/ampimpulse_ui.glade',
        './builder/ampimpulse_st_ui.glade',
        './builder/cabinet_ui.glade',
        './builder/cabinet_stereo_ui.glade',
        './builder/jconv_ui.glade',
        './builder/jconv_st_ui.glade',
        './builder/oscilloscope_ui.glade',
        './builder/drumsequencer_ui.glade',
        './builder/dubber_ui.glade',
        './builder/metronome_ui.glade',
        './builder/nam_ui.glade',
        './builder/snam_ui.glade',
        './builder/mnam_ui.glade',
        './builder/rtneural_ui.glade',
        './builder/srtneural_ui.glade',
        './builder/mrtneural_ui.glade',
        './builder/tremolo_ui.glade',
        './builder/pluginpreset_inputwindow.glade',
        './builder/pluginpreset_listwindow.glade',
        './builder/pluginpreset_connectwindow.glade',
        './builder/selectinstance.glade',
        './builder/Sequencer.glade',
        './builder/vumeter_ui.glade',
        './builder/vumeter_st_ui.glade',
        './builder/poweramps_ui.glade',
        './builder/menu.ui',
        './builder/gx_plugins.png',
        './builder/gx_rack.png',
        './builder/gx_show.png',
        './builder/gx_split.png',
        './builder/gx_tuner.png',
        './builder/gx_config.png',
        './builder/gx_fold.png',
        './builder/gx_fullscreen.png',
        ]

    incl = ['.',
            './engine',
            './engine/tabels',
            '../..','..','../headers',
            '../NAM/NeuralAmpModelerCore/NAM/',
            '../NAM/NeuralAmpModelerCore/Dependencies/nlohmann',
            '../NAM/NeuralAmpModelerCore/Dependencies/eigen',
            '../RTNeural/RTNeural/RTNeural/',
            '../RTNeural/RTNeural/modules/Eigen/',
            '../RTNeural/RTNeural/modules/json/',
            ] # need ".." for config.h

    if bld.env.NEW_LADSPA:
        bld(name = 'shared_engine',
            features='cxx',
            cxxflags = bld.env.CXXFLAGS_cxxshlib + ['-DNEW_LADSPA', '-fvisibility=hidden'],
            source = sources_engine_shared,
            includes = incl,
            use = ['GLIBMM','GIOMM','LILV','gxwmm_inc','ZITA_CONVOLVER','ZITA_RESAMPLER'],
            )

    if not bld.env.STANDALONE:
        return

    if bld.env.HAVE_AVAHI:
        sources_gui.append("gui/avahi_discover.cpp")
        sources_engine.append("engine/avahi_register.cpp")
    sources = sources_engine + sources_engine_shared + sources_gui
    uselib = ['JACK', 'SNDFILE', 'GTHREAD', 'GMODULE_EXPORT', 'CURL', 'LIBLO',
              'GTK2', 'GTKMM', 'GIOMM', 'FFTW3', 'LRDF', 'LILV', 'BOOST_SYSTEM','BOOST_IOSTREAMS',
              'ZITA_CONVOLVER','ZITA_RESAMPLER']
    if bld.env.HAVE_AVAHI:
        uselib += ['AVAHI_GOBJECT', 'AVAHI_GLIB', 'AVAHI_CLIENT']
    if bld.env.HAVE_BLUEZ:
        uselib.append('BLUEZ')
    if bld.env.HAVE_PLUGINLIB:
        uselib += ["plugins"]
    uselib += ['gxwmm']
    uselib += ['libnam']
    uselib += ['librtneural']
    bld.program(
        includes = incl,
        source = sources,
        use = uselib,
        target = bld.env.BIN_NAME,
        chmod = 0o755,
        install_path = bld.env.BINDIR,
        mapfile = "guitarix.map",
        )
    bld.install_files(bld.env.GX_BUILDER_DIR, builder_files, chmod=0o644)
    if "RUN_DOXYGEN" in os.environ:
        # save source file list and include paths for use by doxygen
        bld(rule="echo ${SRC} > ${TGT}",
            source = [src for src in sources if not src.endswith('.gperf_tmpl')],
            target = 'input_gx_head.txt',
            )
        bld(rule = "echo ${CPPPATH_ST:INCPATHS} > ${TGT}",
            features = "use uselib includes",
            includes = incl,
            use = uselib,
            source = "gui/gx_main.cpp",
            target = 'clang_options.txt',
            )

=== src/plugins/wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os

csources = [ # generate .so files from c sources that can be loaded by guitarix
    # element = name or [name, [lib, ...]]
    
    ]

sources = [ # generate .so files that can be loaded by guitarix
    #"dunwah.dsp",
    ]

lib_csource_defs = [ # put in static library linked with guitarix
    ["vibe.cc", ("plugin_mono", "plugin_stereo")],
    "metronome.cc",
    "abgate.cc",
    "jcm800pre.cpp",
    "reversedelay.cc",
    "vumeter.cc",
    "vumeter_st.cc",
    ]

lib_float_sources = [ # put in static library linked with guitarix
    #"dubber.dsp",
    ]
lib_sources = [ # put in static library linked with guitarix
    "zita_rev1.dsp",
    "ts9sim.dsp",
    "flanger_gx.dsp",
    "mbc.dsp",
    "mbcs.dsp",
    "mbd.dsp",
    "mbe.dsp",
    "mbdel.dsp",
    "mbchor.dsp",
    "mbclipper.dsp",
    "gcb_95.dsp",
    "fuzzfacerm.dsp",
    "fuzzfacefm.dsp",
    "hfb.dsp",
    "muff.dsp",
    "susta.dsp",
    "scream.dsp",
    "hornet.dsp",
    "foxeylady.dsp",
    "lpbboost.dsp",
    "hogsfoot.dsp",
    "cstb.dsp",
    "coverd.dsp",
    "rangem.dsp",
    "ruin.dsp",
    "ffreak.dsp",
    "fumaster.dsp",
    "fuzzdrive.dsp",
    "rolandwah.dsp",
    "astrofuzz.dsp",
    "buffb.dsp",
    "eldist.dsp",
    "mole.dsp",
    "buzz.dsp",
    "bfuzz.dsp",
    "axface.dsp",
    "aclipper.dsp",
    "bmp.dsp",
    "mxrdist.dsp",
    "bossds1.dsp",
    "bassboom.dsp",
    ]

lib_sources_shared = [
    'zita_rev1.dsp',
    'vibe.cc',
    'abgate.cc',
    'ts9sim.dsp',
    'aclipper.dsp',
    'mxrdist.dsp',
    'bossds1.dsp',
    'flanger_gx.dsp',
    'mbc.dsp',
    'mbcs.dsp',
    'mbd.dsp',
    'mbe.dsp',
    'mbdel.dsp',
    'mbchor.dsp',
    'reversedelay.cc',
    'gcb_95.dsp',
    'hfb.dsp',
    'hogsfoot.dsp',
    'lpbboost.dsp',
    'rolandwah.dsp',
    'metronome.cc',
    ]

def build(bld):
    if not (bld.env.STANDALONE or bld.env.NEW_LADSPA):
        return

    if bld.env.FAUST:
        arg, float_arg, double_arg = bld.get_faust_args()
        arg += ["--init-type=plugin-instance"]
        bld(name = "dsp2cc sharedlib",
            source = sources,
            proc = "../tools/dsp2cc",
            gen_dir_suffix = "/generated",
            proc_args = arg+["--template-type=sharedlib"],
            )
        bld(name = "dsp2cc staticlib",
            source = lib_sources,
            proc = "../tools/dsp2cc",
            gen_dir_suffix = "/generated",
            proc_args = arg+["--template-type=staticlib","--in-namespace=pluginlib"],
            )
        bld(name = "dsp2cc staticlib",
            source = lib_float_sources,
            proc = "../tools/dsp2cc",
            gen_dir_suffix = "/generated",
            proc_args = float_arg+["--template-type=staticlib","--in-namespace=pluginlib","--init-type=plugin-instance"],
            )
    else:
        gdir = "generated/"
        for s in sources+lib_sources:
            s = s.replace(".dsp",".cc")
            bld(name = "copy-faust-plugin-cc",
                rule = "cp ${SRC} ${TGT}",
                source = gdir + s,
                target = s,
            )
    lib_csources = [v if isinstance(v, str) else v[0] for v in lib_csource_defs]
    lib_dict = dict([v for v in lib_csource_defs if not isinstance(v, str)])
    def run(task):
        l = ['#include "gx_plugin.h"\n\nnamespace pluginlib {\n']
        for fname in lib_sources+lib_csources:
            name = os.path.splitext(fname)[0]
            if fname in lib_dict:
                for pname in lib_dict[fname]:
                    l.append("namespace %s { PluginDef *%s(); }\n" % (name, pname))
            else:
                l.append("namespace %s { PluginDef *plugin(); }\n" % name)
        l.append("}\n")
        task.outputs[0].write("".join(l))
    bld(name = "pluginlib.h",
        source = "wscript",
        rule = run,
        target = "pluginlib.h",
        )
    bld.add_group()
    have_pluginlib = len(lib_sources) != 0
    bld.env.HAVE_PLUGINLIB = have_pluginlib
    incl = [".","../headers", "../gx_head/engine", "../gx_head/engine/tabels"]
    if not bld.env.ZITA_RESAMPLER:
        incl.append('../zita-resampler-1.1.0')
    
    if have_pluginlib:
        bld.stlib(
            includes = incl,
            source = [s.replace(".dsp",".cc") for s in lib_sources]+lib_csources,
            use = ["EIGEN3"],
            target = "plugins", # (also defines name of task)
            )
    bld(name = 'shared_plugins',
        features = 'cxx',
        cxxflags = bld.env.CXXFLAGS_cxxshlib + ["-fvisibility=hidden"],
        includes = incl,
        source = [s.replace(".dsp",".cc") for s in lib_sources_shared],
        use = ["EIGEN3"],
        )
    for s in sources:
        tsk = bld.shlib(
            name = "create plugin .so",
            cxxflags = ["-fvisibility=hidden"],
            includes = [".","../headers", "../gx_head/engine"],
            source = [s.replace(".dsp",".cc")],
            target = s.replace(".dsp",""),
            )
        tsk.env.cxxshlib_PATTERN = '%s.so'
    for s in csources:
        if not isinstance(s, str):
            uselib = s[1]
            s = s[0]
        else:
            uselib = []
        tsk = bld.shlib(
            name = "create plugin .so",
            cxxflags = ["-fvisibility=hidden"],
            includes = ["../headers", "../gx_head/engine"],
            source = s,
            target = s.replace(".cc",""),
            use = uselib,
            install_path = None, # for now...
            )
        tsk.env.cxxshlib_PATTERN = '%s.so'

def configure(conf):
    conf.check_cfg(package='eigen3', args='--cflags', uselib_store="EIGEN3", mandatory=1)

=== src/LV2/gx_aclipper.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_aclipper'

    if any('clang' not in s for s in bld.env["CXX"]):
        gccflags = ['-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL']
    else:
        gccflags = []

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_aclipper.cpp'],
        includes = ['../faust','./', '../DSP'],
        cxxflags=['-fvisibility=hidden'] + gccflags,
        use = ['LV2CORE','GX_RESAMPLER'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_aclipper_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources','../xputty/lv2_plugin'],
        cxxflags=['-fvisibility=hidden'] + gccflags,
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_alembic.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_alembic'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_alembic.cpp'],
        includes = ['../faust','./', '../DSP', '../DSP/tube_tables', '../DSP/circuit_tables'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_alembic_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources', '../xputty/lv2_plugin'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_amp_stereo.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_amp_stereo'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gxamp_stereo.cpp', 'gx_amp_stereo.cc', 'gx_tonestack_stereo.cc'],
        includes = ['../faust','./', '../DSP', '../DSP/tube_tables'],
        cxxflags=['-fvisibility=hidden','-fno-lto','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE','GX_CONVOLVER'],
        mapfile = "gxamp_stereo.map",
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gxamp_stereo_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources','../xputty/lv2_plugin'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_cabinet.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_cabinet'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gxcabinet.cpp'],
        includes = ['../faust','./', '../DSP', '../DSP/tube_tables'],
        cxxflags=['-fvisibility=hidden','-fno-lto','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE','GX_CONVOLVER'],
        mapfile = "gx_cabinet.map",
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_cabinet_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources','../xputty/lv2_plugin'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== debian/changelog ===
guitarix (0.47.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.47.0+dfsg
  * Bump Standards-Version to 4.7.2
  * Refresh d/source/lintian-overrides
  * d/copyright: Update GPL-2 license text
  * Update my d/copyright year
  * Remove redudant Rules-Requires-Root: no

 -- Dennis Braun <snd@debian.org>  Sun, 09 Nov 2025 23:04:37 +0100

=== debian/control ===
Source: guitarix
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Víctor Cuadrado Juan <me@viccuad.me>,
 Dennis Braun <snd@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 fonts-roboto,
 gperf,
 intltool,
 libavahi-gobject-dev,
 libbluetooth-dev [linux-any],
 libboost-dev,
 libboost-iostreams-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libeigen3-dev,
 libfftw3-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libjack-dev | libjack-jackd2-dev,
 liblilv-dev,
 liblrdf0-dev,
 libsndfile1-dev,
 libzita-convolver-dev,
 libzita-resampler-dev,
 lv2-dev,
 python3,
 sassc,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.7.2
Homepage: https://guitarix.org
Vcs-Git: https://salsa.debian.org/multimedia-team/guitarix.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/guitarix

Package: guitarix
Architecture: any
Depends:
 fonts-roboto,
 guitarix-common (= ${source:Version}),
 guitarix-lv2 (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gvfs-backends,
 jack-capture,
 lame,
 vorbis-tools,
Description: Rock guitar amplifier for JACK
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It provides one JACK input port and two JACK output
 ports. It is designed to produce nice thrash/metal/rock/blues guitar sounds.
 Controls for bass, treble, gain, compressor, tube selector, distortion,
 flanger, freeverb, crybaby (wah), etc are available.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package provides the standalone application with a GTK+ interface.

Package: guitarix-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Guitarix - Common files
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's Architecture independent files. Examples of
 such shared files are: configuration files, images and sounds.

Package: guitarix-lv2
Architecture: any
Provides:
 lv2-plugin,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guitarix - LV2 plugins
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains the LV2 audio plugins that come together with guitarix,
 but can also be used by any other LV2 host.

Package: guitarix-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends},
Suggests:
 guitarix,
Description: Guitarix - Development documentation
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's Development documentation.

Package: libgxw0t64
Provides: ${t64:Provides}
Replaces: libgxw0
Breaks: libgxw0 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guitarix - GTK+ library
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ library.

Package: libgxw-dev
Section: libdevel
Architecture: any
Depends:
 libgxw0t64 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 guitarix-doc,
Description: Guitarix - GTK+ library (development files)
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains development files for Guitarix's GTK+ library.

Package: libgxwmm0t64
Provides: ${t64:Provides}
Replaces: libgxwmm0
Breaks: libgxwmm0 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guitarix - GTK+ C++ widget library
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ C++ widget library.

Package: libgxwmm-dev
Section: libdevel
Architecture: any
Depends:
 libgxwmm0t64 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 guitarix-doc,
Description: Guitarix - GTK+ C++ widget library (development files)
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains development files for Guitarix's GTK+ C++ widget library.

=== debian/watch ===
version=4
opts="dversionmangle=auto,searchmode=plain" \
 https://api.github.com/repos/brummer10/@PACKAGE@/releases?per_page=100 \
 https://github.com/brummer10/@PACKAGE@/releases/download/V?[\d.]+/@PACKAGE@2-@ANY_VERSION@@ARCHIVE_EXT@ \
 debian debian/repack-waf.sh
